services:
  auditfiles.not_in_database:
    class: Drupal\auditfiles\ServiceAuditFilesNotInDatabase
    arguments: ['@string_translation', '@config.factory', '@database', '@stream_wrapper_manager', '@file_system', '@current_user', '@file.mime_type.guesser', '@datetime.time', '@uuid', '@date.formatter', '@entity_type.manager']

  auditfiles.not_on_server:
    class: Drupal\auditfiles\ServiceAuditFilesNotOnServer
    arguments: ['@string_translation', '@config.factory', '@database', '@date.formatter', '@file_system']

  auditfiles.managed_not_used:
    class: Drupal\auditfiles\ServiceAuditFilesManagedNotUsed
    arguments: ['@string_translation', '@config.factory', '@database', '@date.formatter', '@file_system']

  auditfiles.used_not_managed:
    class: Drupal\auditfiles\ServiceAuditFilesUsedNotManaged
    arguments: ['@string_translation', '@config.factory', '@database']

  auditfiles.used_not_referenced:
    class: Drupal\auditfiles\ServiceAuditFilesUsedNotReferenced
    arguments: ['@string_translation', '@config.factory', '@database', '@entity_field.manager']

  auditfiles.referenced_not_used:
    class: Drupal\auditfiles\ServiceAuditFilesReferencedNotUsed
    arguments: ['@string_translation', '@config.factory', '@database', '@entity_field.manager', '@entity_type.manager']

  auditfiles.merge_file_references:
    class: Drupal\auditfiles\ServiceAuditFilesMergeFileReferences
    arguments: ['@string_translation', '@config.factory', '@database', '@date.formatter', '@file_system', '@entity_type.manager']
